@import url("https://fonts.googleapis.com/css2?family=Nunito:ital,wght@0,200;0,300;0,600;0,800;0,900;1,200&display=swap");
:root {
  --pink: #fca2e5;
}
* {
  font-family: "Nunito", sans-serif;
  margin: 0;
  padding: 0;
  box-sizing: border-box;
  text-decoration: none;
  outline: none;
  border: none;
  text-transform: capitalize;
  transition: all 0.2s linear;
  scroll-behavior: smooth;
}
*::selection {
  background: var(--pink);
  color: #04234c;
}
html {
  font-size: 62.5%;
  overflow-x: hidden;
}
html::-webkit-scrollbar {
  width: 1.4rem;
  scroll-behavior: smooth;
}
html::-webkit-scrollbar-track {
  background: #0c1829;
}
html::-webkit-scrollbar-thumb {
  background: var(--pink);
}
body {
  background: #0c1829;
  overflow-x: hidden;
  padding-left: 35rem;
}
.heading {
  text-align: center;
  margin: 0 6rem;
  font-size: 4rem;
  border-bottom: 0.1rem solid #274f85;
  color: #fff;
}
.heading span {
  color: var(--pink);
}
.post {
  display: inline-block;
  white-space: nowrap;
  overflow: hidden;
  animation: typing 5s steps(35, end);
}
@keyframes typing {
  from {
    width: 0;
  }
  to {
    width: 100%;
  }
}

header {
  position: fixed;
  top: 0;
  left: 0;
  z-index: 1000;
  height: 100%;
  width: 35rem;
  background: #04234c;
  align-items: center;
  justify-content: center;
  flex-flow: column;
  text-align: center;
}
section {
  min-height: 100vh;
  padding: 1rem;
}
.btn {
  padding: 0.7rem 3rem;
  background: #274f85;
  color: #fff;
  cursor: pointer;
  margin-top: 1rem;
  font-size: 2rem;
  border-radius: 5rem;
}
.btn:hover {
  background: var(--pink);
  color: #04234c;
  transition: ease-in-out 0.3s;
}
header .main img {
  height: 17rem;
  width: 17rem;
  border-radius: 50%;
  object-fit: cover;
  margin-bottom: 1rem;
  border: 0.7rem solid var(--pink);
}
header .main .name {
  font-size: 3.5rem;
  color: #fff;
}
header .main .post {
  font-size: 2rem;
  color: #eee;
}
header .navbar {
  width: 100%;
}
header .navbar ul {
  list-style: none;
  padding: 1rem 3rem;
}
header .navbar ul li a {
  display: block;
  padding: 1rem;
  margin: 1.5rem 0;
  background: #274f85;
  color: #fff;
  font-size: 2rem;
  border-radius: 5rem;
}
header .navbar ul li a:hover {
  background: var(--pink);
}
#menu {
  position: fixed;
  top: 2rem;
  right: 2rem;
  color: #fff;
  cursor: pointer;
  font-size: 2.5rem;
  padding: 1rem 1.5rem;
  z-index: 1000;
  display: none;
}
.home {
  display: flex;
  justify-content: center;
  flex-flow: column;
  padding: 0 15rem;
}
.home h3 {
  font-size: 2.5rem;
  color: #fff;
}
.home h1 {
  font-size: 5rem;
  color: #fff;
}

.home p {
  font-size: 2rem;
  color: #eee;
  padding: 1rem 0;
}
.home span {
  color: var(--pink);
}
.about .row {
  display: flex;
  align-items: center;
  justify-content: center;
  flex-wrap: wrap;
  padding: 1rem 0;
}
.about .row .info {
  flex: 1 1 48rem;
  padding: 2rem 1rem;
  padding-left: 6rem;
}
.about .row .info h3 {
  font-size: 2rem;
  color: var(--pink);
  padding: 1rem 0;
  font-weight: normal;
}
.about .row .info h3 span {
  color: #eee;
  padding: 0 0.5rem;
}
.about .row .counter {
  flex: 1 1 48rem;
  display: flex;
  justify-content: center;
  flex-wrap: wrap;
}
.about .row .counter .box {
  width: 20rem;
  background: #274f85;
  text-align: center;
  padding: 2rem;
  margin: 2rem;
  border-radius: 10px;
}
.about .row .counter .box span {
  font-size: 4rem;
  color: var(--pink);
}
.about .row .counter .box h3 {
  font-size: 2rem;
  color: #fff;
}
.skills h4 {
  font-size: 30px;
  padding: 1rem;
}
.skills .webdev {
  text-align: center;
  color: #fff;
  padding: 1rem 0;
  font-size: 3.5rem;
  margin: 2rem;
}
.skills .SEO {
  text-align: center;
  color: #fff;
  padding: 1rem 0;
  font-size: 3.5rem;
  margin: 2rem;
}
.skills li {
  list-style: none;
  margin: 20px 0;
  padding: 15px;
}
.bar {
  background-color: #68a1ec;
  display: block;
  height: 2px;
  width: 100%;
  border: 1px solid rgba(0, 0, 0, 0.3);
  border-radius: 3px;
  overflow: hidden;
  box-shadow: 0 0 10px #fca2e5;
}
.bar span {
  /*style the span tag*/
  height: 2px;
  float: left;
  background-color: #fca2e5;
}
.html {
  /*set skills and animation of html*/
  width: 90%;
  animation: html 2s;
}

.css {
  /*set skills and animation of css*/
  width: 70%;
  animation: css 2s;
}

.js {
  /*set skills and animation of javascript*/
  width: 60%;
  animation: js 2s;
}

.bs {
  /*set skills and animation of bootrap*/
  width: 65%;
  animation: bs 2s;
}

@keyframes html {
  /*animate html skills*/
  0% {
    width: 0%;
  }

  100% {
    width: 80%;
  }
}

@keyframes css {
  /*animate css skills*/
  0% {
    width: 0%;
  }

  100% {
    width: 70%;
  }
}

@keyframes js {
  /*animate javascript skills*/
  0% {
    width: 0%;
  }

  100% {
    width: 60%;
  }
}

@keyframes bs {
  /*animate bootsrap skills*/
  0% {
    width: 0%;
  }

  100% {
    width: 65%;
  }
}

.projects .box-container {
  display: flex;
  align-items: center;
  justify-content: center;
  flex-wrap: wrap;
  padding: 2rem 0;
}
.projects .box-container .box {
  height: 20rem;
  width: 26rem;
  border-radius: 1rem;
  margin: 2rem;
  overflow: hidden;
  cursor: pointer;
}
.projects .box-container .box img {
  height: 100%;
  width: 100%;
  object-fit: cover;
}
.projects .box-container .box:hover img {
  transform: scale(1.2);
}

.contact .row {
  display: flex;
  align-items: center;
  justify-content: center;
  flex-wrap: wrap;
}
.contact .row {
  padding: 4rem;
}
.contact .row form {
  flex: 1 1 45rem;
  padding: 2rem;
  margin: 2rem;
  margin-bottom: 4rem;
}

.contact .row form .box {
  padding: 1.5rem;
  margin: 1rem 0;
  background: #274f85;
  color: #fff;
  text-transform: none;
  font-size: 1.7rem;
  width: 100%;
}
.contact .row form .box::placeholder {
  text-transform: capitalize;
  color: #bfbfbf;
}
.contact .row form .message {
  height: 15rem;
  resize: none;
}

.contact .btn {
  display: flex;
  text-align: center;
  justify-content: center;
}
.socials {
  display: flex;
  justify-content: center;
  padding: 10px;
  font-size: 30px;
  text-decoration: none;
  margin: 20px 0px;
}
.socials a {
  padding: 8px 25px;
  transition: all ease 0.5s;
  color: #ffa2e8;
}

.bottom {
  background-color: #274f85;
}
.bottom h3 {
  display: flex;
  text-align: center;
  justify-content: center;
  color: #fff;
  margin: 10px;
  padding: 1rem;
  font-size: medium;
}

/* RESPONSIVE  */
@media (max-width: 1200px) {
  html {
    font-size: 55%;
  }
  .home {
    padding: 1rem 4rem;
  }
}
@media (max-width: 991px) {
  header {
    left: -120%;
  }
  #menu {
    display: block;
  }
  header.toggle {
    left: 0%;
  }
  body {
    padding: 0;
  }
}
@media (max-width: 768px) {
  html {
    font-size: 55%;
  }
}

@media (max-width: 400px) {
  header {
    width: 100vw;
  }
  .heading {
    margin: 0 3rem;
  }
  .about .row .counter .box {
    width: 100%;

    .projects .box-container .box {
      width: 100%;
    }
  }
}
.contact {
  color: white;
  font-size: 30px;
}
@media (max-width: 768px) {
  .contact {
    color: white;
    font-size: 12px;
  }
}

.heading {
  text-align: center;
  color: #ecf0f1;
  font-size: 2.5em;
  margin-bottom: 20px;
}

.heading span {
  color: #ff79c6;
}

.webdev {
  list-style: none;
  padding: 0;
  display: flex;
  flex-wrap: wrap;
  justify-content: center;
}

.webdev li {
  margin: 15px;
  width: 275px;
  height: 182px;
  text-align: center;
  background-color: #274f85;
  border-radius: 10px;
  box-shadow: 0 5px 15px rgba(0, 0, 0, 0.3);
  padding: 20px;
  transition: transform 0.3s ease;
}

.webdev li:hover {
  transform: scale(1.1);
}

.skill-icon {
  width: 60px;
  height: 60px;
  margin-bottom: 10px;
}

h4 {
  color: #ff79c6;
  margin-bottom: 10px;
}

.bar {
  background-color: #95a5a6;
  border-radius: 10px;
  overflow: hidden;
}

.bar span {
  display: block;
  height: 10px;
  background-color: #34495e;
}

.bar .html {
  width: 90%;
}
.bar .css {
  width: 80%;
}
.bar .js {
  width: 85%;
}
.bar .bootstrap {
  width: 75%;
}
.bar .react {
  width: 70%;
}
.bar .antdesign {
  width: 60%;
}
h6.excellenceText {
  position: relative;
  top: 25px;
}
.fa-html5:before {
  content: "\f13b";
  position: relative;
  bottom: 16px;
}

/* form css+++++++++++++++++++++++++++++++++++++++++++++++++ */
/* * {
  padding: 0;
  margin: 0;
  box-sizing: border-box;
}

form {
  display: flex;
  flex-direction: column;
  flex-wrap: wrap;
  justify-content: center;
  align-items: center;
  width: 100%;
  height: 100vh;
} */

/* .form-content {
  background-color: white;
  text-align: center;
  box-shadow: 0px 0px 3px black;
  border-radius: 10px;
  padding: 10px 40px;
}
legend {
  margin-top: 20px;
  font-size: 30px;
}
::placeholder {
  font-size: 20px;
}
.name,
.email,
.msg {
  margin-top: 10px;
}
.name {
  margin-top: 20px;
}
.name input {
  width: 100%;
  height: 50px;
  border: none;
  border-bottom: 1px solid black;
  outline: none;
  background: transparent;
  font-size: 20px;
}
.email {
  margin-top: 20px;
}
.email input {
  width: 100%;
  height: 50px;
  border: none;
  border-bottom: 1px solid black;
  outline: none;
  background: transparent;
  font-size: 20px;
}
.msg {
  margin-top: 20px;
}
.msg input {
  width: 100%;
  height: 50px;
  border: none;
  border-bottom: 1px solid black;
  outline: none;
  background: transparent;
  font-size: 20px;
}

button {
  border: none;
  outline: none;
  font-size: 20px;
  background-color: transparent;
  cursor: pointer;
  padding: 10px 20px;
  border: 1px solid black;
  margin-bottom: 20px;
  margin-top: 20px;
}
button:hover {
  background-color: black;
  color: white;
}
@media (max-width: 768px) {
  .form-content {
    width: 100%;
  }
  .form-content .name,
  .email,
  .msg {
    min-width: 100%;
  }
}
@media (max-width: 425px) {
  form {
    padding: 10px 0px;
  }
} */
.custom-form {
  display: flex;
  justify-content: center;
  align-items: center;
  width: 100%;
  height: auto;
  padding: 20px;
  margin: 20px 0;
}

.form-content {
  width: 100%;
  max-width: 500px;
  padding: 20px;
  background-color: #274f85;
  box-shadow: 0 0 10px rgba(0, 0, 0, 0.3);
  border-radius: 10px;
  text-align: center;
}

.form-content legend {
  color: #fff;
  font-size: 2rem;
  margin-bottom: 20px;
}

.form-group {
  margin-bottom: 15px;
}

.form-group input {
  width: 100%;
  padding: 15px;
  font-size: 1.5rem;
  background: #0c1829;
  border: 2px solid #fca2e5;
  color: #fff;
  border-radius: 5px;
  transition: border-color 0.3s;
}

.form-group input::placeholder {
  color: #bfbfbf;
}

.form-group input:focus {
  border-color: #ffa2e8;
}

button {
  padding: 15px 30px;
  background: #fca2e5;
  color: #04234c;
  font-size: 1.8rem;
  border-radius: 5rem;
  cursor: pointer;
  border: none;
  transition: background 0.3s, color 0.3s;
}

button:hover {
  background: #04234c;
  color: #fca2e5;
}

/* Responsive adjustments */
@media (max-width: 768px) {
  .form-content {
    width: 250px;
    padding: 20px;
  }

  .form-group input {
    font-size: 1.3rem;
    padding: 10px;
  }

  button {
    font-size: 1.5rem;
    padding: 10px 20px;
  }
}

/* modal css */
.modal {
  display: none; /* Hidden by default */
  position: fixed;
  z-index: 1000;
  left: 0;
  top: 0;
  width: 100%;
  height: 100%;
  overflow: auto;
  background-color: rgba(0, 0, 0, 0.4);
  justify-content: center;
  align-items: center;
}

.modal-content {
  background-color: #274f85;
  margin: 15% auto;
  padding: 20px;
  border: 1px solid #888;
  width: 80%;
  max-width: 400px;
  color: white;
  border-radius: 10px;
  text-align: center;
}

.modal-content h2 {
  font-size: 2.5rem;
  margin-bottom: 10px;
}

.modal-content p {
  font-size: 1.8rem;
}

.close-button {
  color: #aaa;
  float: right;
  font-size: 28px;
  font-weight: bold;
}

.close-button:hover,
.close-button:focus {
  color: #fff;
  text-decoration: none;
  cursor: pointer;
}
